---
title: "Create placement protocol targeting"
type: reference
method: POST
path: /rest-api/placement/{placementId}/targeting/protocol/create.do
tag: "Targeting Rules"
---

# Create placement protocol targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/placement/{placementId}/targeting/protocol/create.do`

Creates a protocol targeting rule for the specified placement. Targets ad delivery based on the connection protocol used by the viewer. Valid protocol values are HTTP and HTTPS (upper case). Requires UPDATE permission on the placement and MANAGE_SUPPLY_PRE_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `placementId` | integer | yes | `4001` | Unique numeric ID of the placement |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `protocol` | string | yes | `HTTPS` | Connection protocol to target — HTTP or HTTPS |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Placement not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/placement/4001/targeting/protocol/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'protocol=HTTPS'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-placement-targeting-protocol-create